/*

File: Dropper.js

Abstract: JavaScript logic for Dropper sample

Version: 1.0

 Copyright 2005 Apple Computer, Inc. All rights reserved.

See Dropper example for full disclosure of Apple Terms.

*/

/*  JavaScript
 *  The implementation of your widget lies here and is referred to in the HTML
 *  file. The widget object is provided by Dashboard for Dashboard-specific 
 *  interaction, like working with preferences and certain event handlers. See
 *  the Dashboard documentation for more on these.
 */


/******************/
// Drag and drop code
// This code handles the various drag and drop events
/******************/

// The event handler for the image drop.  This handles fetching the image URL and trying
// to place it inside of the widget.

var uri = null;

function dragdrop (event)
{
	try {
	    uri = event.dataTransfer.getData("text/uri-list");	// attempt to load the URL
	} catch (ex)
	{
	}
	
	// if the acquisition is successful:
	if (uri)
	{
		//uri = uri.substring(16);
		var expr = /file:\/\/localhost/;
		
		var oldUri = null;
		while(oldUri != uri) {
		  oldUri = uri;
		  uri = uri.replace(expr, "");
		
		  uri = uri.replace(/\%20/, "\\ ");
		  uri = uri.replace(/\n/, " ");
        }
		
		
		command = "/usr/bin/curl -F file=@" + uri + " http://docx-converter.com/convert-upload.php -o " + uri + ".htm";
		document.getElementById("drop-zone").setAttribute("src", "images/drop-zone-working.png");
		document.getElementById("statusText").innerText = "Working...";
		document.getElementById("statusImage").style.visibility = "visible";
		
		widget.system(command, endHandler);
	}
	
	event.stopPropagation();
	event.preventDefault();

}

function endHandler(output) {
	document.getElementById("statusText").innerText = "";
	document.getElementById("statusImage").style.visibility = "hidden";
	document.getElementById("drop-zone").setAttribute("src", "images/drop-zone.png");
	
	if(widget.preferenceForKey("showInBrowser")) {
		widget.openURL('file://localhost/' + uri + '.htm');
	}
}

// The dragenter, dragover, and dragleave functions are implemented but not used.  They
// can be used if you want to change the image when it enters the widget.

function dragenter (event)
{
	event.stopPropagation();
	event.preventDefault();

}

function dragover (event)
{
	event.stopPropagation();
	event.preventDefault();
}

function dragleave (event)
{
	event.stopPropagation();
	event.preventDefault();
}

